## selfApprc1-UnifiedInstaller.tar.gz

=== Makefile ===
###########################################################################
# TextIndexNG V 3                
# The next generation TextIndex for Zope
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.
###########################################################################

# Makefile for private purposes

checkout:
	svn co https://ajung@svn.sourceforge.net/svnroot/textindexng/TextIndexNG3/branches/3.1

dist:
	cd txng3
	tar cfvz ~/TextIndexNG3-`cat TextIndexNG3/version.txt`.tar.gz TextIndexNG3

build_modules:
	cd extension_modules; python2.3 setup.py build

install_modules:
	cd extension_modules; python2.3 setup.py install

=== debian/control ===
Source: psycopg2
Section: python
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev, python-all-dbg, python-central (>= 0.5.0), python (>= 2.3.5-7), python-egenix-mx-base-dev, autoconf, libpq-dev
Build-Depends-Indep: zope-debhelper (>= 0.3.4)
Maintainer: Fabio Tranchitella <kobold@debian.org>
Standards-Version: 3.7.2.1
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/psycopg2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/psycopg2/?op=log

Package: python-psycopg2
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, python-egenix-mxdatetime
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python module for PostgreSQL
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asycronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.

Package: python-psycopg2-dbg
Priority: extra
Architecture: any
Section: python
Depends: python-psycopg2 (= ${Source-Version}), python-dbg, python-egenix-mxdatetime-dbg, ${shlibs:Depends}
Description: Python module for PostgreSQL (debug extension)
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 This package contains the extensions built for the python debug interpreter.

Package: zope-psycopgda2
Architecture: all
Section: python
Depends: ${zope:Depends}, python-psycopg2 (>= ${source:Version})
Description: Zope database adapter based on python-psycopg2
 The package contains the PostgreSQL database adapter for Zope 2.7, 2.8 and
 2.9 based on the psycopg2 Python module.

Package: python-psycopg2da
Architecture: all
Section: python
Depends: ${zope:Depends}, python-psycopg2 (>= ${source:Version})
XB-Python-Version: ${zope:PythonVersion}
Description: Zope database adapter based on python-psycopg2 -- zope3 version
 The package contains the PostgreSQL database adapter for Zope 3 based on
 the psycopg2 Python module.
